%define	snap	20150612
Summary:	Asterisk huawei 3g dongle channel driver
Name:		asterisk-chan_dongle
Version:	1.1
Release:	0.%{snap}.3
License:	GPL v2
Group:		Applications
Source0:	https://github.com/bg111/asterisk-chan-dongle/archive/master.zip
# Source0-md5:	8527ea21c083821fb0bd69c834d17737
Patch0:		chan_dongle-pin.patch
# https://patch-diff.githubusercontent.com/raw/bg111/asterisk-chan-dongle/pull/216.patch
Patch1:		https://patch-diff.githubusercontent.com/raw/bg111/asterisk-chan-dongle/pull/216.patch
# Patch1-md5:	32e612b27570a06a67f2295f88b4ede1
URL:		http://wiki.e1550.mobi/
BuildRequires:	asterisk-devel >= 1.8
BuildRequires:	awk
Requires:	usb-modeswitch
Requires:	usb-modeswitch-data
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
chan_dongle is an Asterisk channel driver for Huawei UMTS/3G USB
modems (dongles). At this moment, the supported features are:

- Voice calls, dialling by modem name, group, round robin, provider
  name, IMEI or IMSI.
- Call waiting
- Call holding
- Conference (multiparty) call
- Send SMS from CLI, asterisk manager and dialplan
- Receive SMS (latin charset and multiline included)
- Send USSD
- Receive USSD (latin charset and multiline included)
- Send DTMF (excluding A,B,C,D letters not supported by Huawei)
- Receive DTMF

%prep
%setup -q -n asterisk-chan-dongle-master
%patch0 -p1
%patch1 -p1

%build
install /usr/share/automake/{config.*,install-sh,missing} .
%{__aclocal}
%{__autoconf}
%configure \
	--with-astversion=$(rpm -q --queryformat "%{VERSION}\n" asterisk-devel | awk -F. ' { printf("%d%02d%02d", $1, $2, $3); } ')
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

install -D etc/dongle.conf $RPM_BUILD_ROOT%{_sysconfdir}/asterisk/dongle.conf
install -D chan_dongle.so $RPM_BUILD_ROOT%{_libdir}/asterisk/modules/chan_dongle.so

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc BUGS README.txt TODO.txt etc/extensions.conf
%attr(755,root,root) %{_libdir}/asterisk/modules/chan_dongle.so
%attr(640,root,asterisk) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/asterisk/dongle.conf
%changelog
* Wed Jul 20 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/asterisk-chan_dongle.git;a=log;h=master

* Wed Jul 20 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 4d77525
- rel .3

* Sat Dec 26 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 475116a
- no 0 prefix for first digit

* Tue Dec 22 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> bb77ff0
- rel .2; merge patch that adds support for newer asterisks

* Fri Jun 12 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 594e82d
- switch to github, update to current snap 20150612

* Fri Oct 18 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 462c08e
- up to 20131018 snap

* Wed Aug 08 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 5323ac4
- R: usb_modeswitch and data

* Wed May 09 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 39c717d
- pin hacky way handling

* Thu Apr 26 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> ac8eb1f
- md5

* Thu Apr 26 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 0a4baea
- drop wrong changelog

* Thu Apr 26 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 94a3338
- initial

